idevicebackup2(1)

NAME
idevicebackup2 - Create or restore backups for devices running iOS 4 or later.

SYNOPSIS
idevicebackup2 [OPTIONS] CMD [CMDOPTIONS] DIRECTORY

DESCRIPTION
Create or restore backup in/from the specified directory.

OPTIONS

-u, --udid UDID
    target specific device by UDID.

-s, --source UDID
    use backup data from device specified by UDID.

-i, --interactive
    request passwords interactively on the command line.

-n, --network
    connect to network device.

-d, --debug
    enable communication debugging.

-h, --help
    prints usage information.

-v, --version
    prints version information.

COMMANDS

backup
    create backup for the device.

--full
    force full backup from device.

restore
    restore last backup to the device.

--system
    restore system files, too.

--no-reboot
    reboot the system when done.

--copy
    create a copy of backup folder before restoring.

--settings
    restore device settings from the backup.

--remove
    remove items which are not being restored.

--skip-apps
    do not trigger re-installation of apps after restore.

--password PWD
    supply the password for the encrypted source backup. If omitted, the password will be requested in interactive mode (-i), or it can be passed using the environment variable BACKUP_PASSWORD.

info
    show details about last completed backup of device.

list
    list files of last completed backup in CSV format.

unback
    unpack a completed backup in DIRECTORY/_unback_/

encryption on|off [PWD]
    enable or disable backup encryption. The password will be requested in interactive mode (-i) if omitted, or it can be passed using the environment variable BACKUP_PASSWORD.

changepw [OLD NEW]
    change backup password on target device. The passwords will be requested in interactive mode (-i) if omitted, or they can be passed using the environment variables BACKUP_PASSWORD (old password) and BACKUP_PASSWORD_NEW (new password) respectively.

cloud on|off
    enable or disable cloud use (requires iCloud account).

SECURITY CONSIDERATIONS
Passing passwords on the command line is not advised, since it might reveal the backup password to other users via process list or command line history. Use interactive mode (-i) or pass them via environment variable(s) as mentioned in the description of the respective commands above.

AUTHORS
Martin Szulecki Nikias Bassen

ON THE WEB
https://libimobiledevice.org https://github.com/libimobiledevice/libimobiledevice